﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://aka.ms/download-jdk/microsoft-jdk-21.0.3-windows-x64.msi'
$checksum = 'c8d189ed4574d8ea4b1d11cab4f9cc58713a763acc7f31d182c218d9a8d327ee'

$packageArgs = @{
    PackageName = $env:ChocolateyPackageName
    Url64bit = $url
    Checksum64 = $checksum
    ChecksumType64 = 'sha256'
    fileType      = 'msi'
    silentArgs    = "INSTALLLEVEL=3 /quiet"
  }
  
Install-ChocolateyPackage @packageArgs
